<?php
if (!defined('GAME')) {
    die();
}
/*
    Прием: Смена противника
*/
$pvr = [];
//echo '['.$btl->stats[$btl->uid[$u->info['id']]]['smena'].']';
//if( isset($this->ue['id']) ) {
$u->info['smena'] += 1;
$btl->users[$btl->uid[$u->info['id']]]['smena'] += 1;
mysql_query('UPDATE `stats` SET `smena` = "' . mysql_real_escape_string($u->info['smena']) . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
//$u->info['enemy'] = $this->ue['id'];
echo '<font color=red><b>Вы успешно использовали прием &quot;Выбор противника&quot;</b></font>';
$btl->priemAddLog(
    $id,
    1,
    2,
    $u->info['id'],
    0,
    'Выбор противника',
    '{tm1} ' . $btl->addlt(1, 17, $btl->users[$btl->uids[$u->info['id']]]['sex'], null) . '',
    ($btl->hodID)
);
//}
//Отнимаем тактики
$this->mintr($pl);

unset($pvr);
